import { defineStore } from 'pinia'

export interface SalesState {
    SalesEditor: number,
    SalesBack: number,
}

export const useSellTemplate = defineStore('sales', {
  state: (): SalesState => ({
    SalesEditor: 0, // 1 新增 2编辑
    SalesBack: 0,// 0
  }),

  actions: {
    setSalesEditor(SalesEditor: number) {
      this.SalesEditor = SalesEditor
    },
    setSalesBack(SalesBack: number) {
      this.SalesBack = SalesBack
    },
  },
})